AviatoAviato
DeveloperAPI ReferenceAuthIdentity web sessionRequestidPoll

/api/auth/identity-web-session/{requestId}/poll

GET
/api/auth/identity-web-session/{requestId}/poll

Path Parameters

requestId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/auth/identity-web-session/string/poll"
{
  "state": "pending",
  "sessionToken": "string",
  "sessionExpiresAt": "string",
  "user": {
    "id": "string",
    "username": "string",
    "displayName": "string",
    "role": "admin",
    "publicKey": "string",
    "libraryAccess": [
      {
        "libraryId": "string",
        "maxRating": "string"
      }
    ],
    "enabled": true,
    "createdAt": "string",
    "lastLoginAt": "string"
  },
  "profiles": [
    {
      "id": "string",
      "userId": "string",
      "name": "string",
      "avatarUrl": "string",
      "libraryAccess": [
        {
          "libraryId": "string",
          "maxRating": "string"
        }
      ],
      "isDefault": true,
      "hasPin": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}